plaingateway
API reference

Models

List model IDs and public model data.

GET /models returns catalog data including IDs, modalities, context limits, supported parameters, and prices.

The response below shows the first recorded data item; the fixture contains the full catalog.

Request

http
GET https://plaingateway.com/api/v1/models
Authorization: Bearer sk-pg-v1-...

Response

http
HTTP/1.1 200
{
  "data": [
    {
      "id": "SCRUBBED-1",
      "canonical_slug": "SCRUBBED-1",
      "alias_target": {
        "name": "Pareto 26.9",
        "slug": "SCRUBBED-2"
      },
      "hugging_face_id": null,
      "name": "Pareto Latest",
      "created": 1700000000,
      "description": "This model always redirects to the latest model in the Pareto family.",
      "context_length": 262144,
      "architecture": {
        "modality": "text+image->text",
        "input_modalities": [
          "text",
          "image"
        ],
        "output_modalities": [
          "text"
        ],
        "tokenizer": "Router",
        "instruct_type": null
      },
      "pricing": {
        "prompt": "0.0000025",
        "completion": "0.0000075",
        "input_cache_read": "0.00000025"
      },
      "top_provider": {
        "context_length": 262144,
        "max_completion_tokens": 131072,
        "is_moderated": false
      },
      "per_request_limits": null,
      "supported_parameters": [
        "max_tokens",
        "response_format",
        "temperature",
        "tool_choice",
        "tools",
        "top_p"
      ],
      "default_parameters": {},
      "supported_voices": null,
      "knowledge_cutoff": null,
      "expiration_date": null,
      "links": {
        "details": "/api/v1/models/SCRUBBED-1/endpoints"
      }
    }
  ],
  "total_count": 462,
  "links": {
    "next": null
  }
}